<?php

########################################################################
#                    Copyrights 2003 - LemonData                       #
#                       Matthias de Jouvencel                          #
#----------------------------------------------------------------------#
# Name    : Tequilla  (nom provisoire)                                 #
# Version : v0.1 MySQL                                                 #
# File    : doc.php3                                                   #
#                                                                      #
# -------------------------------------------------------------------  # 
# Manuel utilisateur                                                   #
# -------------------------------------------------------------------  #
# HISTORIQUE                                                           #
#    30/12/2002 : premire version                                     #
########################################################################

# Requte d'initalisation des variables utilises dans le template

include ("conf.php3");
?>
<HTML>
<TITLE>LemonData Tequilla 0.1 - Manuel d'utilisation</TITLE>
<link rel=stylesheet href="style.css" type="text/css">
<h6>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td valign="bottom"><img src="lemon-logo.gif"></td>
      <td valign="bottom"><div align="right">Copyrights 2003 - Matthias de Jouvencel</div></td>
    </tr>
</table>
<table width="100%" border="1" cellpadding="0" cellspacing="0" bordercolor="#FFCC33" bgcolor="#FFFF99">
  <tr><td><p>
	  <a href="adm/add_template.php3">Gestion des templates</a> | <a href="adm/admin.php3?t=<?php echo $DEFAULT_TABLE?>">Gestion de la base de donnes</a> | Documentation</a>
	</p></td></tr>
</table>    
<p align="center"><strong><font size="5">Pr&eacute;sentation du syst&egrave;me 
  LemonData Tequilla </font><br>
  <font size="2"> V1.0 - 06.03.2003 - Matthias de Jouvencel</font></strong></p>
<blockquote> 
  <p><strong>Qu'est-ce que c'est ?</strong></p>
  <blockquote> 
    <p><strong>Tequilla est un syst&egrave;me de content management simple pour 
      g&eacute;rer un site web en s&eacute;parant le contenu de la pr&eacute;sentation 
      visuelles des pages. Ainsi tout le contenu des pages d'un site d&eacute;velopp&eacute; 
      avec le syst&egrave;me LemonData Tequilla est enregistr&eacute; dans une 
      base de donn&eacute;es MySQL. Le design ou les maquettes sont quant &agrave; 
      elles, repr&eacute;sent&eacute;es par des fichiers HTML d&eacute;pourvus 
      de donn&eacute;es.</strong></p>
  </blockquote>
  <p><strong>A quoi ca sert ?</strong></p>
  <blockquote> 
    <p><strong>C'est tr&egrave;s simple, si toutes vos pages sont dans une base 
      de donn&eacute;es et que vous disposez de deux, trois templates par type 
      de page (article, test, cv, r&eacute;cit ...) vous pourrez modifier la pr&eacute;sentation 
      de votre site en modifiant simplement ces deux trois fichiers via votre 
      &eacute;diteur pr&eacute;f&eacute;r&eacute; (Dreamweaver par exemple), les 
      transf&eacute;rer en template sur le serveur o&ugrave; est install&eacute; 
      Tequilla et toutes vos pages du site seront modifi&eacute;es automatiquement. 
      Pas mal non ?</strong></p>
    <p><strong>Les avantages du syst&egrave;me sont : </strong></p>
    <ul>
      <li><strong>L'utilisation des technologies gratuites les plus r&eacute;pandues, 
        &agrave; savoir une base de donn&eacute;es MySQL et le langage PHP. Ainsi 
        il est possible d'h&eacute;berger gratuitement le syst&egrave;me sur des 
        providers aussi populaires que Free.fr !</strong></li>
      <li><strong> Tout est &agrave; installer sur un serveur web, rien du c&ocirc;t&eacute; 
        client, tout peut se faire avec n'importe quel navigateur web (internet 
        explorer) sur n'importe quelle plateforme : client ultra l&eacute;ger 
        et cross-plateforme !</strong></li>
    </ul>
  </blockquote>
  <p><strong>Comment ca marche ?</strong></p>
  <blockquote> 
    <p><strong>Chaque page du site est construite en deux parties :</strong></p>
    <ul>
      <li><strong>Un ou plusieurs enregistrements dans une table de la base de 
        donn&eacute;es MySQL pour stocker le contenu de la page.</strong> </li>
      <li><strong> Un fichier HTML contenant des balises sp&eacute;ciales LemonData 
        de la forme [@colonne_donn&eacute;e@] destin&eacute;es &agrave; recevoir 
        la valeur des colonnes des tables contenant les donn&eacute;es de la page 
        web : c'est le template.</strong></li>
    </ul>
    <p><strong>Chaque page du site est ensuite appel&eacute;e via une seule page 
      : engine.php suivi de la requ&ecirc;te SQL et du template &agrave; utliser. 
      Ce programme php est le coeur du syst&egrave;me, il va ex&eacute;cuter la 
      requ&ecirc;te pass&eacute;e en param&egrave;tre puis charger le template 
      pour construire dynamiquement la page web &agrave; partir des informations 
      r&eacute;ccup&eacute;r&eacute;es dans la base de donn&eacute;es. </strong></p>
  </blockquote>
  <p><strong>Configuration requise</strong></p>
  <blockquote> 
    <p><strong>Serveur web supportant PHP3 et MySQL.<br>
      Client graphique (navigateur sous Windows, X-Windows, MacOS ...)</strong></p>
  </blockquote>
  <p><strong>Param&eacute;trage du syst&egrave;me</strong></p>
  <blockquote> 
    <p><strong>Quatre programmes php &agrave; copier sur votre serveur web :</strong></p>
    <table width="80%" border="1" cellpadding="0" cellspacing="0">
      <tr> 
        <td><strong>engine.php3</strong></td>
        <td><strong> le coeur du syst&egrave;me</strong></td>
      </tr>
      <tr> 
        <td><strong>admin.php3 </strong></td>
        <td><strong>un gestionnaire de base de donn&eacute;e web, il vous permettra 
          de d&eacute;finir le contenu des pages de votre site de mani&egrave;re 
          simple</strong></td>
      </tr>
      <tr> 
        <td><strong>add_template.php3</strong></td>
        <td><strong> ce programme transforme les pages HTML repr&eacute;sentant 
          vos template en fichier .tpl exploitables par le syst&egrave;me Tequilla</strong></td>
      </tr>
      <tr> 
        <td><strong>conf.php3</strong></td>
        <td><strong> il contient vos mots de passes d'acc&egrave;s &agrave; la 
          base de donn&eacute;es, des donn&eacute;es sur la localisation des r&eacute;pertoires 
          et sur les tables par d&eacute;faut de l'outil d'admin</strong></td>
      </tr>
    </table>
    <p><strong>ATTENTION : Il faut veiller &agrave; bien donner les droits de 
      lecture et &eacute;x&eacute;cution &agrave; tout le monde sur ces fichiers 
      une fois copi&eacute;s sur le serveur web.</strong></p>
    <p><strong>Les fichiers admin.php3 et add_template.php3 doivent se situer 
      dans un sous-r&eacute;pertoire donc l'acc&egrave;s est prot&eacute;g&eacute; 
      (par un fichier .htaccess par exemple sur les serveur Apache), afin que 
      personne d'autre que vous ne puisse modifier les donn&eacute;es de votre 
      site web.</strong></p>
  </blockquote>
  <p><strong>Conception et transfert des templates</strong></p>
  <blockquote> 
    <p><strong>Pr&eacute;sentation de l'outil TequillaTemplate</strong></p>
    <blockquote> 
      <p><strong>Ce programme permet d'uploader ses templates &agrave; l'&eacute;tat 
        de fichiers HTML sur le serveur web en les transformant au passage en 
        fichier .tpl afin de pouvoir &ecirc;tre utilis&eacute;s par le syst&egrave;me.</strong></p>
    </blockquote>
    <p><strong>Cr&eacute;ation d'un fichier HTML avec des balises sp&eacute;ciales 
      pour les champs dynamiques</strong></p>
    <blockquote> 
      <p><strong>Utiliser un &eacute;diteur comme dreamweaver pour &quot;dessiner&quot; 
        une page web g&eacute;n&eacute;rique, pouvant &ecirc;tre utilis&eacute; 
        pour plusieurs pages de votre site. Cr&eacute;er des balises [@nom_colonne@] 
        pour d&eacute;finir l'endroit o&ugrave; vous souhaitez voir appra&icirc;tre 
        les donn&eacute;es stock&eacute;es dans la colonne de la table de la base 
        de donn&eacute;es contenant le contenu des pages utilisant ce template.</strong></p>
      <p><strong> Sur l'exemple ci-dessous un template pour des pages de type 
        &quot;Test de jeu vid&eacute;o&quot; et entre les balises [@xxx@] les 
        colonnes d'une table de la base de donn&eacute;es.</strong></p>
    </blockquote>
  </blockquote>
  <p><strong><img src="html.jpg" width="876" height="218" border="1"></strong></p>
  <blockquote> 
    <blockquote>
      <p><strong>Transfert du fichier HTML pour le traduire en template .tpl</strong></p>
    </blockquote>
  </blockquote>
  <p><strong><img src="template.jpg" width="876" height="265" border="1"></strong></p>
  <blockquote> 
    <blockquote> 
      <p><strong>Le bouton &quot;parcourir&quot; ouvre une fen&ecirc;tre permettant 
        de choisir le fichier HTML sur votre disque-dur que vous voulez transf&eacute;rer 
        et transformer en template Tequilla. Une fois le fichier selectionn&eacute; 
        cliquez sur &quot;Transf&eacute;rer&quot; pour l'envoyer sur le serveur 
        web. Votre fichier sera alors transform&eacute; en .tpl et toutes vos 
        balises [@donn&eacute;e@] seront remplac&eacute;s par du code PHP afin 
        de pouvoir &ecirc;tre utilis&eacute; par le syst&egrave;me.</strong></p>
      <p><strong>La liste des templates d&eacute;j&agrave; transf&eacute;r&eacute;s 
        et utilisables pour vos pages web s'affiche dans la deuxi&egrave;me partie 
        de la page.</strong></p>
    </blockquote>
  </blockquote>
  <p><strong>Administration de la base de donn&eacute;es</strong></p>
  <blockquote> 
    <p><strong>Pr&eacute;sentation de l'outil TequillaAdmin</strong></p>
  </blockquote>
  <p><strong><img src="adm.jpg" border="1"></strong></p>
  <blockquote> 
    <p><strong>Consulter des enregistrements</strong></p>
    <blockquote> 
      <p><strong>La table de la base de donn&eacute;es parcourue peut &ecirc;tre 
        modifi&eacute;e via la liste de valeurs du haut de page. Les boutons Pr&eacute;cedent 
        et Suivant sont ensuite utiliser pour parcourir les enregistrements s&eacute;quentiellement, 
        dans l'ordre de leur cr&eacute;ation.</strong></p>
    </blockquote>
    <p><strong>Nouveau/Modifier/Ins&eacute;rer</strong></p>
    <blockquote> 
      <p><strong>Le bouton Nouveau vide tous les champs pour pouvoir saisir un 
        nouvel enregistrement.</strong> </p>
      <p><strong>Le bouton Modifier permet de mettre &agrave; jour l'enregistrement 
        affich&eacute;. </strong></p>
      <p><strong>Le bouton Ins&eacute;rer permet d'utiliser des informations d&eacute;j&agrave; 
        saisies dans l'enregistrement courant pour en cr&eacute;er un nouveau. 
        C'est aussi ce bouton qui doit &ecirc;tre choisi pour enregistrer un nouvel 
        enregistrement.</strong></p>
      <p><strong>Les pr&eacute;c&eacute;dentes valeurs d&eacute;j&agrave; saisies 
        dans les pr&eacute;c&eacute;dents enregistrements d'une table sont accessibles 
        via les listes de valeurs affich&eacute;s &agrave; droite des champs textes.</strong></p>
    </blockquote>
    <p><strong>Supprimer</strong></p>
    <blockquote> 
      <p><strong>Supprime l'enregistrement affich&eacute; &agrave; l'&eacute;cran 
        de la base de donn&eacute;es. ATTENTION : action irr&eacute;versible.</strong></p>
    </blockquote>
  </blockquote>
  <p><strong>Construction dynamique des page web</strong></p>
  <blockquote> 
    <p><strong>Syntaxe des adresses pour construire les pages dynamiques</strong></p>
    <table width="80%" border="1" cellpadding="0" cellspacing="0">
      <tr> 
        <td><div align="center"><strong>engine.php3?&amp;Tx=table&amp;Sx=template(sans 
            extension)&amp;Cx=condition(clause where)&amp;Ox=ordre(clause order 
            by)</strong></div></td>
      </tr>
    </table>
    <table width="80%" border="1" cellpadding="0" cellspacing="0">
      <tr bgcolor="#FFCC66"> 
        <td><div align="center"><strong>Param&egrave;tre</strong></div></td>
        <td><div align="center"><strong>Signification</strong></div></td>
      </tr>
      <tr> 
        <td>t(xx)</td>
        <td>Table contenant les donn&eacute;es de la page web &agrave; construire 
          dynamiquement </td>
      </tr>
      <tr> 
        <td>s(xx)</td>
        <td>Style (template) &agrave; utiliser pour la pr&eacute;sentation (fichiers 
          .tpl)</td>
      </tr>
      <tr> 
        <td>c(xx)</td>
        <td>Condition, correspond &agrave; la clause <em>WHERE</em> de la requ&ecirc;te 
          SQL (MySQL)</td>
      </tr>
      <tr> 
        <td>o(xx)</td>
        <td>Ordre (trier), correspond &agrave; la clause <em>ORDER BY </em>de 
          la requpete SQL (MySQL)</td>
      </tr>
    </table>
    <p>Les num&eacute;ros de template (t), style (s) et condition (c) doivent 
      correspondre &agrave; une m&ecirc;me page.</p>
    <p><strong>IMPORTANT : tous les liens vers des pages dynamiques &agrave; l'int&eacute;rieur 
      de votre site doivent utiliser cette syntaxe.</strong></p>
    <p><u>Remarque :</u> si il n'y a pas de conditions tous les enregistrements 
      seront lus et affich&eacute;s avec le template choisi.</p>
    <p><strong><u>Exemple 1 : une table, un template</u></strong></p>
    <p>lemon/engine.php3?t1=test&amp;s1=test&amp;c1=idpage=&quot;TESTXBOX&quot;</p>
    <p><em>Affiche le template &quot;test.tpl&quot; en effectutant une requ&ecirc;te 
      sur la table &quot;test&quot; : select * from test where id_page = &quot;TESTXBOX&quot;.</em></p>
    <p><strong><u>Exemple 2 : plusieurs tables, plusieurs templates</u></strong></p>
    <p><strong>Si plusieurs associations template/table sont sp&eacute;cifi&eacute;es, 
      les diff&eacute;rentes pages construites seront regroup&eacute;es pour constituer 
      une seule page web dynamique.</strong></p>
    <p>../lemon/engine.php3?t1=cv_civil&amp;s1=cv_civil&amp;t2=cv_skill&amp;s2=cv_skill&amp;s3=cv_titre_exp&amp;t4=cv_exp&amp;s4=cv_exp&amp;<br>
      o4=annees desc &amp;s5=cv_titre_school&amp;t6=cv_school&amp;s6=cv_school&quot;</p>
    <p><em>Construit un cv : </em></p>
    <p><em>- bloc 1 : utilise la table cv_civil et le template cv_civil.tpl pour 
      afficher l'&eacute;tat civil dynamiquement.</em></p>
    <p><em>- bloc 2 : utilise la table cv_skill et le template cv_skill.tpl pour 
      afficher les comp&eacute;tences, comme il n'y a pas de condition, tous les 
      enregistrements de la table cv_skill seront affich&eacute;s avec le template 
      cv_skill.</em></p>
    <p><em>- bloc 3 : utilise uniquement le template cv_titre_exp.tpl sans aucune 
      donn&eacute;e pour afficher un titre statique afin de s&eacute;parer deux 
      blocs du CV.</em></p>
    <p><em>- bloc 4 : utilise la table cv_exp et le template cv_exp.tpl pour afficher 
      les exp&eacute;riences professionnelss, comme il n'y a pas de condition, 
      tous les enregistrements de la table cv_exp seront affich&eacute;s avec 
      le template cv_exp mais le o4 sp&eacute;cifie un tri par ann&eacute;es.</em></p>
    <p><em>- bloc 5 : utilise uniquement le template cv_titre_school.tpl sans 
      aucune donn&eacute;e pour afficher un titre statique afin de s&eacute;parer 
      deux blocs du CV.</em></p>
    <p><em>- bloc 6 : utilise la table cv_school et le template cv_school.tpl 
      pour afficher les &eacute;tablissements scolaires fr&eacute;quent&eacute;s, 
      comme il n'y a pas de condition, tous les enregistrements de la table cv_school 
      seront affich&eacute;s avec le template cv_school.</em></p>
    <p>Ces deux exemples sont consultables sur <a href="http://matthias.fr.st" target="_blank">http://matthias.fr.st</a>.</p>
    <p>&nbsp;</p>
  </blockquote>
</blockquote>
</HTML>
